import os
import sys

TEXT_EDITOR = "notepad" if sys.platform == "win32" else "nano"
BASE_DIR = os.path.dirname(os.path.abspath(__file__)).replace("\\", "/")
OUTPUT_FILE = f"{BASE_DIR}/data/output.csv"
CONFIG_FILE = f"{BASE_DIR}/data/config.ini"


CAPSULE_NAMES = [
    "RMR Legends",
    "RMR Challengers",
    "RMR Contenders",
    "Stockholm Legends",
    "Stockholm Challengers",
    "Stockholm Contenders",
    "Stockholm Champions Autographs",
    "Stockholm Finalists Autographs",
    "Antwerp Legends",
    "Antwerp Challengers",
    "Antwerp Contenders",
    "Antwerp Champions Autographs",
    "Antwerp Challengers Autographs",
    "Antwerp Legends Autographs",
    "Antwerp Contenders Autographs",
    "Rio Legends",
    "Rio Challengers",
    "Rio Contenders",
    "Rio Champions Autographs",
    "Rio Challengers Autographs",
    "Rio Legends Autographs",
    "Rio Contenders Autographs",
    "Paris Legends",
    "Paris Challengers",
    "Paris Contenders",
    "Paris Champions Autographs",
    "Paris Challengers Autographs",
    "Paris Legends Autographs",
    "Paris Contenders Autographs",
    "Copenhagen Legends",
    "Copenhagen Challengers",
    "Copenhagen Contenders",
    "Copenhagen Champions Autographs",
    "Copenhagen Challengers Autographs",
    "Copenhagen Legends Autographs",
    "Copenhagen Contenders Autographs",
    "Shanghai Legends",
    "Shanghai Challengers",
    "Shanghai Contenders",
    "Shanghai Champions Autographs",
    "Shanghai Challengers Autographs",
    "Shanghai Legends Autographs",
    "Shanghai Contenders Autographs",
    "Austin Legends",
    "Austin Challengers",
    "Austin Contenders",
    "Austin Champions Autographs",
    "Austin Challengers Autographs",
    "Austin Legends Autographs",
    "Austin Contenders Autographs",
]

CAPSULE_NAMES_GENERIC = [
    "Legends",
    "Challengers",
    "Contenders",
    "Champions Autographs",
    "Challengers Autographs",
    "Legends Autographs",
    "Contenders Autographs",
    "Finalists Autographs",
]

CAPSULE_PAGES = [
    "https://steamcommunity.com/market/search?q=2020+rmr",
    "https://steamcommunity.com/market/search?q=stockholm+capsule",
    "https://steamcommunity.com/market/search?q=antwerp+capsule",
    "https://steamcommunity.com/market/search?q=rio+capsule",
    "https://steamcommunity.com/market/search?q=paris+capsule",
    "https://steamcommunity.com/market/search?q=copenhagen+capsule",
    "https://steamcommunity.com/market/search?q=shanghai+capsule",
    "https://steamcommunity.com/market/search?q=austin+capsule",
]

CAPSULE_HREFS = [
    "https://steamcommunity.com/market/listings/730/2020%20RMR%20Legends",
    "https://steamcommunity.com/market/listings/730/2020%20RMR%20Challengers",
    "https://steamcommunity.com/market/listings/730/2020%20RMR%20Contenders",
    "https://steamcommunity.com/market/listings/730/Stockholm%202021%20Legends%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Stockholm%202021%20Challengers%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Stockholm%202021%20Contenders%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Stockholm%202021%20Champions%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Stockholm%202021%20Finalists%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Antwerp%202022%20Legends%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Antwerp%202022%20Challengers%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Antwerp%202022%20Contenders%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Antwerp%202022%20Champions%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Antwerp%202022%20Challengers%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Antwerp%202022%20Legends%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Antwerp%202022%20Contenders%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Rio%202022%20Legends%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Rio%202022%20Challengers%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Rio%202022%20Contenders%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Rio%202022%20Champions%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Rio%202022%20Challengers%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Rio%202022%20Legends%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Rio%202022%20Contenders%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Paris%202023%20Legends%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Paris%202023%20Challengers%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Paris%202023%20Contenders%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Paris%202023%20Champions%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Paris%202023%20Challengers%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Paris%202023%20Legends%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Paris%202023%20Contenders%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Copenhagen%202024%20Legends%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Copenhagen%202024%20Challengers%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Copenhagen%202024%20Contenders%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Copenhagen%202024%20Champions%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Copenhagen%202024%20Challengers%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Copenhagen%202024%20Legends%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Copenhagen%202024%20Contenders%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Shanghai%202024%20Legends%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Shanghai%202024%20Challengers%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Shanghai%202024%20Contenders%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Shanghai%202024%20Champions%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Shanghai%202024%20Challengers%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Shanghai%202024%20Legends%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Shanghai%202024%20Contenders%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Austin%202025%20Legends%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Austin%202025%20Challengers%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Austin%202025%20Contenders%20Sticker%20Capsule",
    "https://steamcommunity.com/market/listings/730/Austin%202025%20Champions%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Austin%202025%20Challengers%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Austin%202025%20Legends%20Autograph%20Capsule",
    "https://steamcommunity.com/market/listings/730/Austin%202025%20Contenders%20Autograph%20Capsule",
]

CASE_NAMES = [
    "Revolution Case",
    "Recoil Case",
    "Dreams And Nightmares Case",
    "Operation Riptide Case",
    "Snakebite Case",
    "Operation Broken Fang Case",
    "Fracture Case",
    "Chroma Case",
    "Chroma 2 Case",
    "Chroma 3 Case",
    "Clutch Case",
    "CSGO Weapon Case",
    "CSGO Weapon Case 2",
    "CSGO Weapon Case 3",
    "CS20 Case",
    "Danger Zone Case",
    "eSports 2013 Case",
    "eSports 2013 Winter Case",
    "eSports 2014 Summer Case",
    "Falchion Case",
    "Gamma Case",
    "Gamma 2 Case",
    "Glove Case",
    "Horizon Case",
    "Huntsman Case",
    "Operation Bravo Case",
    "Operation Breakout Case",
    "Operation Hydra Case",
    "Operation Phoenix Case",
    "Operation Vanguard Case",
    "Operation Wildfire Case",
    "Prisma Case",
    "Prisma 2 Case",
    "Revolver Case",
    "Shadow Case",
    "Shattered Web Case",
    "Spectrum Case",
    "Spectrum 2 Case",
    "Winter Offensive Case",
    "Kilowatt Case",
    "Gallery Case",
    "Fever Case",
]


CASE_PAGES = [
    "https://steamcommunity.com/market/search?q=revolution+case",
    "https://steamcommunity.com/market/search?q=recoil+case",
    "https://steamcommunity.com/market/search?q=dreams+and+nightmares+case",
    "https://steamcommunity.com/market/search?q=operation+riptide+case",
    "https://steamcommunity.com/market/search?q=snakebite+case",
    "https://steamcommunity.com/market/search?q=broken+fang+case",
    "https://steamcommunity.com/market/search?q=fracture+case",
    "https://steamcommunity.com/market/search?q=chroma+case",
    "https://steamcommunity.com/market/search?q=chroma+case",
    "https://steamcommunity.com/market/search?q=chroma+case",
    "https://steamcommunity.com/market/search?q=clutch+case",
    "https://steamcommunity.com/market/search?q=csgo+weapon+case",
    "https://steamcommunity.com/market/search?q=csgo+weapon+case",
    "https://steamcommunity.com/market/search?q=csgo+weapon+case",
    "https://steamcommunity.com/market/search?q=cs20+case",
    "https://steamcommunity.com/market/search?q=danger+zone+case",
    "https://steamcommunity.com/market/search?q=esports+case",
    "https://steamcommunity.com/market/search?q=esports+case",
    "https://steamcommunity.com/market/search?q=esports+case",
    "https://steamcommunity.com/market/search?q=falchion+case",
    "https://steamcommunity.com/market/search?q=gamma+case",
    "https://steamcommunity.com/market/search?q=gamma+case",
    "https://steamcommunity.com/market/search?q=glove+case",
    "https://steamcommunity.com/market/search?q=horizon+case",
    "https://steamcommunity.com/market/search?q=huntsman+weapon+case",
    "https://steamcommunity.com/market/search?q=operation+bravo+case",
    "https://steamcommunity.com/market/search?q=operation+breakout+case",
    "https://steamcommunity.com/market/search?q=operation+hydra+case",
    "https://steamcommunity.com/market/search?q=operation+phoenix+case",
    "https://steamcommunity.com/market/search?q=operation+vanguard+case",
    "https://steamcommunity.com/market/search?q=operation+wildfire+case",
    "https://steamcommunity.com/market/search?q=prisma+case",
    "https://steamcommunity.com/market/search?q=prisma+case",
    "https://steamcommunity.com/market/search?q=revolver+case",
    "https://steamcommunity.com/market/search?q=shadow+case",
    "https://steamcommunity.com/market/search?q=shattered+web+case",
    "https://steamcommunity.com/market/search?q=spectrum+case",
    "https://steamcommunity.com/market/search?q=spectrum+case",
    "https://steamcommunity.com/market/search?q=winter+offensive+case",
    "https://steamcommunity.com/market/search?q=kilowatt+case",
    "https://steamcommunity.com/market/search?q=gallery+case",
    "https://steamcommunity.com/market/search?q=fever+case",
]

CASE_HREFS = [
    "https://steamcommunity.com/market/listings/730/Revolution%20Case",
    "https://steamcommunity.com/market/listings/730/Recoil%20Case",
    "https://steamcommunity.com/market/listings/730/Dreams%20%26%20Nightmares%20Case",
    "https://steamcommunity.com/market/listings/730/Operation%20Riptide%20Case",
    "https://steamcommunity.com/market/listings/730/Snakebite%20Case",
    "https://steamcommunity.com/market/listings/730/Operation%20Broken%20Fang%20Case",
    "https://steamcommunity.com/market/listings/730/Fracture%20Case",
    "https://steamcommunity.com/market/listings/730/Chroma%20Case",
    "https://steamcommunity.com/market/listings/730/Chroma%202%20Case",
    "https://steamcommunity.com/market/listings/730/Chroma%203%20Case",
    "https://steamcommunity.com/market/listings/730/Clutch%20Case",
    "https://steamcommunity.com/market/listings/730/CS%3AGO%20Weapon%20Case",
    "https://steamcommunity.com/market/listings/730/CS%3AGO%20Weapon%20Case%202",
    "https://steamcommunity.com/market/listings/730/CS%3AGO%20Weapon%20Case%203",
    "https://steamcommunity.com/market/listings/730/CS20%20Case",
    "https://steamcommunity.com/market/listings/730/Danger%20Zone%20Case",
    "https://steamcommunity.com/market/listings/730/eSports%202013%20Case",
    "https://steamcommunity.com/market/listings/730/eSports%202013%20Winter%20Case",
    "https://steamcommunity.com/market/listings/730/eSports%202014%20Summer%20Case",
    "https://steamcommunity.com/market/listings/730/Falchion%20Case",
    "https://steamcommunity.com/market/listings/730/Gamma%20Case",
    "https://steamcommunity.com/market/listings/730/Gamma%202%20Case",
    "https://steamcommunity.com/market/listings/730/Glove%20Case",
    "https://steamcommunity.com/market/listings/730/Horizon%20Case",
    "https://steamcommunity.com/market/listings/730/Huntsman%20Weapon%20Case",
    "https://steamcommunity.com/market/listings/730/Operation%20Bravo%20Case",
    "https://steamcommunity.com/market/listings/730/Operation%20Breakout%20Weapon%20Case",
    "https://steamcommunity.com/market/listings/730/Operation%20Hydra%20Case",
    "https://steamcommunity.com/market/listings/730/Operation%20Phoenix%20Weapon%20Case",
    "https://steamcommunity.com/market/listings/730/Operation%20Vanguard%20Weapon%20Case",
    "https://steamcommunity.com/market/listings/730/Operation%20Wildfire%20Case",
    "https://steamcommunity.com/market/listings/730/Prisma%20Case",
    "https://steamcommunity.com/market/listings/730/Prisma%202%20Case",
    "https://steamcommunity.com/market/listings/730/Revolver%20Case",
    "https://steamcommunity.com/market/listings/730/Shadow%20Case",
    "https://steamcommunity.com/market/listings/730/Shattered%20Web%20Case",
    "https://steamcommunity.com/market/listings/730/Spectrum%20Case",
    "https://steamcommunity.com/market/listings/730/Spectrum%202%20Case",
    "https://steamcommunity.com/market/listings/730/Winter%20Offensive%20Weapon%20Case",
    "https://steamcommunity.com/market/listings/730/Kilowatt%20Case",
    "https://steamcommunity.com/market/listings/730/Gallery%20Case",
    "https://steamcommunity.com/market/listings/730/Fever%20Case",
]
